Subject: Re: [PATCH 7/16] powerpc: add support for ps3 platform

From: Arnd Bergmann <[email-masked]>
Date: Tue, 21 Nov 2006 14:42:30 +0100

On Tuesday 21 November 2006 14:22, Christoph Hellwig wrote:
> The whole port is hypervisor-specific. =A0It should be called ps3hv or
> sonyhv (in case the plan for more hardware that's crippled by this
> hypervisor)=20

The hypervisor has a name, it's called 'lv1', and the port already
uses that identifier for the low-level interfaces.
If the platform is named after the hypervisor, we should not make up
a new name but use the one that is already there.

> ps3 should be left for a bare metal port that people may or may not do=20

If there will ever be a native port, that will not need its platform
directory but can simply go into into common platforms/cell/ and sysdev
directories, with a small file for the ppc_md instance. All the interesting
files (page table, iommu, interrupt handling) would be shared with native
ports to different hardware.

	Arnd <><